summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Robbins <drobbins@gentoo.org>2001-09-01 07:56:19 +0000
committerDaniel Robbins <drobbins@gentoo.org>2001-09-01 07:56:19 +0000
commit76be2c8693774485271e1c52ae70cbbffb6aa397 (patch)
tree0890e3e430c67b66e9441369377eb5c59f0d457e /scripts
parentdigests (diff)
downloadgentoo-2-76be2c8693774485271e1c52ae70cbbffb6aa397.tar.gz
gentoo-2-76be2c8693774485271e1c52ae70cbbffb6aa397.tar.bz2
gentoo-2-76be2c8693774485271e1c52ae70cbbffb6aa397.zip
new rc6 stuff; texinfo integrated into gcc
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bootstrap.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/scripts/bootstrap.sh b/scripts/bootstrap.sh
index eaa47ccfdb7c..b9b495b45347 100755
--- a/scripts/bootstrap.sh
+++ b/scripts/bootstrap.sh
@@ -7,6 +7,7 @@ myGETTEXT=`grep "sys-devel/gettext" $1`
myBINUTILS=`grep "sys-devel/binutils" $1`
myGCC=`grep "sys-devel/gcc" $1`
myGLIBC=`grep "sys-libs/glibc" $1`
+myTEXINFO=`grep "sys-apps/texinfo" $1`
echo "Using PORTAGE $myPORTAGE"
echo "Using BINUTILS $myBINUTILS"
@@ -14,6 +15,11 @@ echo "Using GCC $myGCC"
echo "Using GETTEXT $myGETTEXT"
echo "Using GLIBC $myGLIBC"
+cleanup() {
+ cp /etc/make.conf.build /etc/make.conf
+ exit $1
+}
+
#USE may be set from the environment so we back it up for later.
if [ "${USE-UNSET}" = "UNSET" ]
then
@@ -36,7 +42,7 @@ export CONFIG_PROTECT=""
#above allows portage to overwrite stuff
cd /usr/portage
emerge $myPORTAGE #separate, so that the next command uses the *new* emerge
-emerge $myBINUTILS $myGCC $myGETTEXT || exit
+emerge $myBINUTILS $myGCC $myGETTEXT || cleanup 1
if [ "$use_unset" = "yes" ]
then
unset USE
@@ -45,6 +51,6 @@ else
fi
# This line should no longer be required
#export USE="`spython -c 'import portage; print portage.settings["USE"];'` bootstrap"
-emerge $myGLIBC $myGETTEXT $myBINUTILS $myGCC || exit
+emerge $myGLIBC $myGETTEXT $myBINUTILS $myGCC $myTEXINFO || cleanup 1
#restore settings
-cp /etc/make.conf.build /etc/make.conf
+cleanup 0 \ No newline at end of file